Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004338ScribusGeneralpublic2006-10-01 19:212006-12-19 01:18
Reporternwegener 
Assigned Tocbradney 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionwon't fix 
Platformi386 amdOSubuntu linuxOS Version6.06
Product Version1.2.4.1 
Target VersionFixed in Version 
Summary0004338: scribus crashes
DescriptionStart scribus, file->new from template.
Select Brochure_1 and OK: scribus dies with signal 11

Here is gdb's outpout:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1223812608 (LWP 9542)]
0x0826e3ef in ScriXmlDoc::AskForFont ()
(gdb) bt
#0 0x0826e3ef in ScriXmlDoc::AskForFont ()
0000001 0x08271aa5 in ScriXmlDoc::GetItemText ()
0000002 0x08294643 in ScriXmlDoc::ReadDoc ()
0000003 0x08379cb5 in ScribusApp::LadeDoc ()
0000004 0xb6be22e9 in MenuNFT::RunNFTPlug () from /usr/lib/scribus/plugins/libnewfromtemplateplugin.so.0.0.0
0000005 0xb6be2488 in MenuNFT::qt_invoke () from /usr/lib/scribus/plugins/libnewfromtemplateplugin.so.0.0.0
0000006 0xb7875eb9 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
0000007 0xb7c0929a in QSignal::signal () from /usr/lib/libqt-mt.so.3
0000008 0xb7893630 in QSignal::activate () from /usr/lib/libqt-mt.so.3
0000009 0xb799afb1 in QPopupMenu::mouseReleaseEvent () from /usr/lib/libqt-mt.so.3
0000010 0xb78b068d in QWidget::event () from /usr/lib/libqt-mt.so.3
0000011 0xb780be56 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
0000012 0xb780c3e0 in QApplication::notify () from /usr/lib/libqt-mt.so.3
0000013 0xb779d1c5 in QApplication::sendSpontaneousEvent () from /usr/lib/libqt-mt.so.3
0000014 0xb77985c0 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
0000015 0xb7796d59 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
0000016 0xb77b04db in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
0000017 0xb7824947 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
0000018 0xb782486a in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
0000019 0xb780a965 in QApplication::exec () from /usr/lib/libqt-mt.so.3
0000020 0x08382d14 in mainGui ()
0000021 0x08382fe8 in main ()
(gdb)
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0004423closedcbradney Metabug: Ubuntu/Kubuntu issues that prevent it from being the perfect platform for Scribus 

-  Notes
(0012738)
plinnell (administrator)
2006-10-01 22:14

please update to 1.2.5 or 1.3.3.3 you can visit:

http://wiki.scribus.net/index.php/Getting_Scribus_on_Ubuntu/Kubuntu_up_and_running [^]
and :

http://debian.scribus.net [^]
(0012762)
nwegener (reporter)
2006-10-02 19:27

scribus 1.3.3.3 shows the same behaviour.
gbd output attached:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1224258848 (LWP 21339)]
0x084f0e27 in ScriXmlDoc::GetItemText ()
(gdb) bt
#0 0x084f0e27 in ScriXmlDoc::GetItemText ()
0000001 0x0850af04 in ScriXmlDoc::ReadDoc ()
0000002 0x0821d8ec in FileLoader::LoadFile ()
0000003 0x08629f1f in ScribusMainWindow::loadDoc ()
0000004 0xb68c04f7 in MenuNFT::RunNFTPlug () from /usr/lib/scribus-ng/plugins//libnewfromtemplateplugin.so.0.0.0
0000005 0xb68c0744 in NewFromTemplatePlugin::run () from /usr/lib/scribus-ng/plugins//libnewfromtemplateplugin.so.0.0.0
0000006 0x0845f478 in ScActionPlugin::qt_invoke ()
0000007 0xb68bf9a4 in NewFromTemplatePlugin::qt_invoke ()
   from /usr/lib/scribus-ng/plugins//libnewfromtemplateplugin.so.0.0.0
0000008 0xb794ffe6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
0000009 0xb7950954 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
0000010 0xb7d0a886 in QAction::activated () from /usr/lib/libqt-mt.so.3
0000011 0xb7abb307 in QAction::internalActivation () from /usr/lib/libqt-mt.so.3
0000012 0xb7d0aa22 in QAction::qt_invoke () from /usr/lib/libqt-mt.so.3
0000013 0x0846d5d9 in ScrAction::qt_invoke ()
0000014 0xb794feb9 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
0000015 0xb7ce329a in QSignal::signal () from /usr/lib/libqt-mt.so.3
0000016 0xb796d630 in QSignal::activate () from /usr/lib/libqt-mt.so.3
0000017 0xb7a74fb1 in QPopupMenu::mouseReleaseEvent () from /usr/lib/libqt-mt.so.3
0000018 0xb798a68d in QWidget::event () from /usr/lib/libqt-mt.so.3
0000019 0xb78e5e56 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
0000020 0xb78e63e0 in QApplication::notify () from /usr/lib/libqt-mt.so.3
0000021 0xb78771c5 in QApplication::sendSpontaneousEvent () from /usr/lib/libqt-mt.so.3
0000022 0xb78725c0 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
0000023 0xb7870d59 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
0000024 0xb788a4db in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
0000025 0xb78fe947 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
0000026 0xb78fe86a in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
0000027 0xb78e4965 in QApplication::exec () from /usr/lib/libqt-mt.so.3
0000028 0x086336c8 in mainApp ()
0000029 0xb7246ea2 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
0000030 0x08108d81 in _start ()
(0012763)
plinnell (administrator)
2006-10-02 21:35

cannot replicate on Suse 10.1 with 1.3.3.4cvs or Win32
(0013014)
plinnell (administrator)
2006-10-18 02:05

Maciej, Can you replicate ?
(0013015)
mhanski (developer)
2006-10-18 02:29

Running Scribus 1.2.5 (the current scribus package from malex for Ubuntu) on Kubuntu Dapper/ Pentium M, I cannot exactly reproduce the Sig 11, but there is definitely something wrong with New/From Template/Brochure_1 -- Scribus looped forever and did nothing, I had to terminate it by hand.
(0013152)
sladen (reporter)
2006-10-28 22:23

I _can't_ replicate this under Ubuntu edgy with '1.2.4.1.dfsg-1ubuntu5'. Is this suspected to be Ubuntu or Debian specific, if so which version(s) do people see the issue on?
(0013157)
plinnell (administrator)
2006-10-28 23:33

Well it appears it is Dapper specific.
(0013162)
sladen (reporter)
2006-10-29 03:40

nwegener: can you replicate this with a debug build? (build with -g and gdb will tell you the precise line number!).
(0014076)
cbradney (administrator)
2006-12-18 23:30

1.2.x has been deprecated.

- Issue History
Date Modified Username Field Change
2006-10-01 19:21 nwegener New Issue
2006-10-01 22:14 plinnell Note Added: 0012738
2006-10-01 22:14 plinnell Status new => feedback
2006-10-02 19:27 nwegener Note Added: 0012762
2006-10-02 21:35 plinnell Note Added: 0012763
2006-10-17 23:38 mhanski Relationship added related to 0004423
2006-10-18 02:05 plinnell Note Added: 0013014
2006-10-18 02:29 mhanski Note Added: 0013015
2006-10-18 02:30 mhanski Status feedback => confirmed
2006-10-28 22:23 sladen Note Added: 0013152
2006-10-28 23:33 plinnell Note Added: 0013157
2006-10-29 03:40 sladen Note Added: 0013162
2006-12-18 23:30 cbradney Status confirmed => resolved
2006-12-18 23:30 cbradney Resolution open => won't fix
2006-12-18 23:30 cbradney Assigned To => cbradney
2006-12-18 23:30 cbradney Note Added: 0014076
2006-12-19 01:18 plinnell Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker